Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nat
Class Nat

    java.lang.Object
      nat.Nat

    public class Nat

extends java.lang.Object

Field Summary
`private ConfigNat` | `conf`
`private java.lang.String` | `fichierConf`
`private static java.lang.String` | `licence`
`static int` | `LOG_NORMAL`
`static int` | `LOG_SILENCIEUX`
`static int` | `LOG_VERBEUX`
`private java.lang.String` | `sourceMimeType`
`private Transcription` | `transcription`

Constructor Summary
`Nat()`

Method Summary
`boolean` | `fabriqueTranscription(java.lang.String source, java.lang.String cible, GestionnaireErreur gest)`
`ConfigNat` | `getConf()`
`java.lang.String` | `getFichierConf()`
`private void` | `getLastConf()` Récupère le nom du dernier fichier de configuration utilisé (stocké dans le fichier last.conf de la racine) Si une erreur se produit, on ne change pas la valeur par défaut de fichierConf
`static java.lang.String` | `getLicence(java.lang.String prefixe, java.lang.String suffixe)`
`java.lang.String` | `getSourceMimeType()`
`java.lang.String` | `getVersion()`
`java.lang.String` | `getVersionLong()`
`void` | `lanceScenario()`
`static void` | `main(java.lang.String[] argv)`
`void` | `setConf(ConfigNat cfg)` Modifie la configuration en cours; Change le contenu du fichier last.conf pour lui donner le nom du nouveau fichier de conf
`private void` | `setMimeTypeSource(java.lang.String source, GestionnaireErreur gest)`
`java.lang.String` | `trouveEncodingSource(java.lang.String source, GestionnaireErreur gest)`
`private boolean` | `verifFichier(java.io.File file, GestionnaireErreur gest)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG_SILENCIEUX

    public static final int LOG_SILENCIEUX

See Also:
  Constant Field Values

### LOG_NORMAL

    public static final int LOG_NORMAL

See Also:
  Constant Field Values

### LOG_VERBEUX

    public static final int LOG_VERBEUX

See Also:
  Constant Field Values

### fichierConf

    private java.lang.String fichierConf

### conf

    private ConfigNat conf

### sourceMimeType

    private java.lang.String sourceMimeType

### licence

    private static java.lang.String licence

### transcription

    private Transcription transcription

Constructor Detail

### Nat

    public Nat()

Method Detail

### getSourceMimeType

    public java.lang.String getSourceMimeType()

### getFichierConf

    public java.lang.String getFichierConf()

### getVersionLong

    public java.lang.String getVersionLong()

### getVersion

    public java.lang.String getVersion()

### getConf

    public ConfigNat getConf()

### setConf

    public void setConf(ConfigNat cfg)

  Modifie la configuration en cours; Change le contenu du fichier last.conf pour lui donner le nom du nouveau fichier de conf

  Throws:
    `java.io.IOException` - Erreur E/S lors de l'écriture du fichier last.conf
    `java.io.UnsupportedEncodingException` - Encoding UTF8 non supporté
    `java.io.FileNotFoundException` - fichier last.conf non trouvé

### getLicence

    public static java.lang.String getLicence(java.lang.String prefixe,
                                              java.lang.String suffixe)

### getLastConf

    private void getLastConf()

  Récupère le nom du dernier fichier de configuration utilisé (stocké dans le fichier last.conf de la racine) Si une erreur se produit, on ne change pas la valeur par défaut de fichierConf

  Throws:
    `java.io.IOException` - Erreur E/S lors de la lecture du fichier last.conf
    `java.io.UnsupportedEncodingException` - Encoding UTF8 non supporté
    `java.io.FileNotFoundException` - fichier last.conf non trouvé

### fabriqueTranscription

    public boolean fabriqueTranscription(java.lang.String source,
                                         java.lang.String cible,
                                         GestionnaireErreur gest)

### lanceScenario

    public void lanceScenario()

### verifFichier

    private boolean verifFichier(java.io.File file,
                                 GestionnaireErreur gest)

### setMimeTypeSource

    private void setMimeTypeSource(java.lang.String source,
                                   GestionnaireErreur gest)

### trouveEncodingSource

    public java.lang.String trouveEncodingSource(java.lang.String source,
                                                 GestionnaireErreur gest)

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD